export declare enum ErrorCode {
    unknownError = "unknown_error",
    unknownCommand = "unknown_command",
    stationNotFound = "station_not_found",
    stationNotConnected = "station_not_connected",
    deviceNotFound = "device_not_found",
    deviceNotSupportedFeature = "device_not_supported_feature",
    deviceWrongStation = "device_wrong_station",
    stationNotSupportedGuardMode = "station_not_supported_guardmode",
    schemaIncompatible = "schema_incompatible"
}
export declare class BaseError extends Error {
    errorCode: ErrorCode;
}
export declare class UnknownError extends BaseError {
    error: Error;
    errorCode: ErrorCode;
    constructor(error: Error);
}
export declare class UnknownCommandError extends BaseError {
    command: string;
    errorCode: ErrorCode;
    constructor(command: string);
}
export declare class SchemaIncompatibleError extends BaseError {
    schemaId: number;
    errorCode: ErrorCode;
    constructor(schemaId: number);
}
export declare class LivestreamAlreadyRunningError extends Error {
    constructor(message?: string);
}
export declare class LivestreamNotRunningError extends Error {
    constructor(message?: string);
}
//# sourceMappingURL=error.d.ts.map