"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.dumpState = void 0;
const state_1 = require("./device/state");
const state_2 = require("./station/state");
// eslint-disable-next-line @typescript-eslint/no-unused-vars
const dumpState = (driver, schemaVersion) => {
    const base = {
        driver: {
            version: driver.getVersion(),
            connected: driver.isConnected(),
            pushConnected: driver.isPushConnected(),
        },
        stations: Array.from(driver.getStations(), (station) => state_2.dumpStation(station, schemaVersion)),
        devices: Array.from(driver.getDevices(), (device) => state_1.dumpDevice(device, schemaVersion)),
    };
    return base;
};
exports.dumpState = dumpState;
//# sourceMappingURL=state.js.map